Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQKbdDriverFactory Class Reference

The TQKbdDriverFactory class creates TQWSKeyboardHandler objects for TQt/Embedded. More...

`#include <qkbddriverfactory_qws.h>`

List of all member functions.

## Static Public Members

- TQStringList keys ()
- TQWSKeyboardHandler * create ( const TQString & key, const TQString & device )

## Detailed Description

The TQKbdDriverFactory class creates TQWSKeyboardHandler objects for TQt/Embedded.

The graphics driver factory creates a TQWSKeyboardHandler object for a given key with TQKbdDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see TQKbdDriverPlugin).

This class is only available in TQt/Embedded.

TQKbdDriverFactory::keys() returns a list of valid keys.

## Member Function Documentation

### TQWSKeyboardHandler * TQKbdDriverFactory::create ( const TQString & key, const TQString & device )`[static]`

Creates a TQWSKeyboardHandler object that matches key for device device. This is either a built-in driver, or a driver from a driver plugin.

See also keys().

### TQStringList TQKbdDriverFactory::keys ()`[static]`

Returns the list of keys this factory can create drivers for.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.